--- -----------------------------------------------------------------------------------------------------------
--- AEmotes_WonderWoman addon by: Zac Morris <zac@zacwolf.com> -- www.zacwolf.com
--- -----------------------------------------------------------------------------------------------------------
--- How to Install
---
--- * Unzip the package into: World of Warcraft\Interface\AddOns\
--- * Your zip software must preserve directory structures.
---
--- For this addon to actually do anything you need to add additional artist mods:
--- These can be found at: http://www.wowace.com/wiki/AEmotes
--- -----------------------------------------------------------------------------------------------------------
--- WonderWoman is copyright of: Warner Home Video Inc. http://wbtvondvd.com
---                        - used without permission...
--- -----------------------------------------------------------------------------------------------------------
--- == Commands:== 
--- /ae is interchangable with /aemote or /aemotes
--- /ae WonderWoman WonderWoman
--- /ae WonderWoman 1942
--- /ae WonderWoman liar
--- /ae WonderWoman satintights
--- /ae WonderWoman villians
--- -----------------------------------------------------------------------------------------------------------
--- == Changes==
--- -----------------------------------------------------------------------------------------------------------
--- == Notes ==
--- * This version is not yet Cross Faction enabled.  
--- This means that only those people that also have the addon 
--- and are in your same faction will hear the audio clip.  
--- Everyone will still the emote text, but it will be garbled 
--- for anyone not of your faction.
--- -----------------------------------------------------------------------------------------------------------
--- == License ==
--- The AEmotes_{ArtistName} mod is released under the GNU General Public License (GPL) 
--- For the full licence text please see gpl-v2.txt
--- Unofficial translations of the GPL can be found here: 
--- [http://www.gnu.org/licenses.../translations.html] 
--- -----------------------------------------------------------------------------------------------------------

local 	aemote_artist						= "WonderWoman";
local 	addon_path							= "Interface\\AddOns\\AEmotes_WonderWoman\\";
		table.insert(AEMOTES.artists,aemote_artist);
		AEMOTES[aemote_artist]				= {};
		AEMOTES[aemote_artist].AddonPath	= addon_path;
		AEMOTES[aemote_artist].parms		= {};



--- ==========================================================================
--- This is where you add all the various track specific variable information
--- ==========================================================================
table.insert(AEMOTES[aemote_artist].parms, 
	{ track="wonderwoman"; 
	  msgs={ common		= "Wonder Woman, Wonder Woman";
			 alliance	= "";
			 horde		= ""
		   };  
	  emote="strut"; 
	  len=9 }
);
table.insert(AEMOTES[aemote_artist].parms, 
	{ track="1942"; 
	  msgs={ common		= "In the stark summer of 1942";
			 alliance	= "";
			 horde		= ""
		   };  
	  emote="wicked"; 
	  len=9 }
);
table.insert(AEMOTES[aemote_artist].parms, 
	{ track="liar"; 
	  msgs={ common		= "Make a Liar tell the truth";
			 alliance	= "";
			 horde		= ""
		   };  
	  emote="lie"; 
	  len=6 }
);
table.insert(AEMOTES[aemote_artist].parms, 
	{ track="outfromunder"; 
	  msgs={ common		= "Get us out from under, Wonder Woman";
			 alliance	= "";
			 horde		= ""
		   };  
	  emote="beg"; 
	  len=3 }
);
table.insert(AEMOTES[aemote_artist].parms, 
	{ track="satintights"; 
	  msgs={ common		= "In your satin tights, fighting for your rights";
			 alliance	= "";
			 horde		= ""
		   };  
	  emote="blush"; 
	  len=10 }
);
table.insert(AEMOTES[aemote_artist].parms, 
	{ track="villians"; 
	  msgs={ common		= "Mankind is being threated by these dispicable villians";
			 alliance	= "";
			 horde		= ""
		   };  
	  emote="angry"; 
	  len=4 }
);
